#
# spec file for package python-circuitbreaker
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname circuitbreaker
Name:           python-circuitbreaker
Version:        2.0.0
Release:        1.3
Summary:        Python implementation of the "Circuit Breaker" Pattern
License:        BSD-3-Clause
URL:            https://github.com/fabfuel/circuitbreaker
Source:         https://files.pythonhosted.org/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-typing
BuildArch:      noarch
%python_subpackages

%description
Python implementation of the "Circuit Breaker" Pattern

%prep
%autosetup -p1 -n circuitbreaker-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Tue Aug 27 2024 Frantisek Simorda <frantisek.simorda@suse.com>
- update to 2.0.0:
  * Async Support
  * Python2 not supported anymore
  * Supported Python versions now are:  3.11, 3.10, 3.9, 3.8, 3.7
- version 1.4.0:
  * Fallback Function
  * Custom callable for handling exceptions
  * Monotonic clock
  * Circuitbreaker default name
  * the project is now built on Github Action instead of Travis CI
  * building for python 3.10
  * applied smaller flake8 fixes
- Drop use_stdlib_mock.patch merged upstream
* Wed Oct 27 2021 Matej Cepl <mcepl@suse.com>
- Update to 1.3.2:
  - tests are included in the tarball
* Tue Oct 26 2021 Matej Cepl <mcepl@suse.com>
- Add packaging of GitHub URL tarball and make tests running.
* Tue Oct 26 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.3.1
